Skip to main content
POST
/
agents
Create agent (auto-creates virtual card and policy)
curl --request POST \
  --url https://api.getovra.com/agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "externalId": "<string>",
  "scope": "<string>",
  "usage": "single"
}
'
{
  "id": "<string>",
  "ownerId": "<string>",
  "name": "<string>",
  "scope": "<string>",
  "externalId": "<string>",
  "status": "active",
  "cardBalanceEuros": 123,
  "walletBalanceEuros": 123,
  "cardPanMasked": "<string>",
  "policyId": "<string>",
  "cardId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key (sk_...) or Agent token (at_...)

Headers

Idempotency-Key
string

Unique key for idempotent request handling

Body

application/json
name
string
externalId
string
scope
string
usage
enum<string>
Available options:
single,
multi

Response

Agent created with associated card and policy

id
string
ownerId
string
name
string
scope
string | null
externalId
string | null
status
enum<string>
Available options:
active,
frozen,
closed
cardBalanceEuros
number
walletBalanceEuros
number
cardPanMasked
string
policyId
string
cardId
string
createdAt
string<date-time>